Page MenuHomePhabricator

[NewPassManager] Add tuning option: LoopUnrolling [clang-change]
ClosedPublic

Authored by asbirlea on May 6 2019, 4:13 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

asbirlea created this revision.May 6 2019, 4:13 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 6 2019, 4:13 PM

Same comment as on other Clang patch -- let's update an IR generation test to reflect this?

Should just be adding a RUN line.

asbirlea updated this revision to Diff 198560.May 7 2019, 4:12 PM

Added test. Last RUN line fails before this patch (i.e. unrolling is not disabled with the given flag in the new pass manager).

asbirlea updated this revision to Diff 198704.May 8 2019, 11:29 AM

Update test.

This revision was not accepted when it landed; it landed in state Needs Review.May 24 2019, 10:38 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 24 2019, 10:39 AM